package com.nationrel.modules.rp.constant;

import com.google.common.collect.Maps;
import com.nationrel.modules.rp.model.ColumnsModel;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Description: TODO
 * @Date: 2024/3/28
 * @Version: V1.0
 */
public class RpConstant {

    public static final String ROOTNODE_PARENT = "00000000000000000000000000000000";

    public static final String STRU_TYPE_STRU = "01";

    /** @Fields TREENODE_TYPE_NONLEAF : 树节点类型-非叶子节点 */
    public static final String TREENODE_TYPE_NONLEAF = "0";
    /** @Fields TREENODE_TYPE_LEAF : 树节点类型-叶子节点 */
    public static final String TREENODE_TYPE_LEAF = "1";

    public static final Integer IS_DELETE = 1;
    public static final Integer NOT_DELETE = 0;

//    public static final String[] DEFAULT_COLUMNS = new String[] {
//            "产品层次", "预计方法", "大类", "小类", "总失效率", "数量", "作用关系", "单个失效率"
//    };

    public static final List<ColumnsModel> DEFAULT_COLUMNS = new ArrayList<>(){{
        add(new ColumnsModel("产品层次", "3"));
        add(new ColumnsModel("预计方法", "3"));
        add(new ColumnsModel("大类", "3"));
        add(new ColumnsModel("小类", "3"));
        add(new ColumnsModel("总失效率", "4"));
        add(new ColumnsModel("数量", "5"));
        add(new ColumnsModel("作用关系", "2"));
        add(new ColumnsModel("单个失效率", "4"));
    }};

    /** 根节点产品层次默认值 */
    public static final String DEFAULT_COL_VALUE = "1.1";

    /** 打开 */
    public static final String OPEN = "0";
    /** 关闭 */
    public static final String CLOSE = "1";
    /** 上移 */
    public static final String MOVE_UP = "2";
    /** 下移 */
    public static final String MOVE_DOWN = "3";
}
